Subject: Re: [PATCH] rebase --fix: interactive fixup mode

From: Neal Kreitzinger <[email-masked]>
Date: Tue, 10 Jan 2012 13:58:04 -0600

On 1/9/2012 2:40 AM, Michael Haggerty wrote:
>
> Two comments:
>
> * The name "--fix" might be confusing because of its similarity to the
> "fixup" command that can be specified in the interactive instructions file.
>
> * I agree with you that "interactive rebase is frequently used not to
> rebase history, but to manipulate recent commits".  In fact, I use
> interactive rebase *only* for manipulating recent commits and
> non-interactive rebase *only* for changing commits' ancestry.  I think
> it is a good idea to make these two uses more distinct.  For example, it
> makes me nervous that I might mis-type the<upstream>  parameter when I
> am trying to touch up commits and end up inadvertently rebasing the
> commits onto a new parent.
>
He could all it --touchup like you did above.

v/r,
neal